import { RoundingMode } from 'big.js';
import { ApiPromise } from '@polkadot/api';

declare function formatAssetIdToERC20(id: string): string;

declare function toDecimal(number: bigint | number | string, decimals: number, maxDecimal?: number, roundType?: RoundingMode): string;
declare function toBigInt(amount: bigint | string | number, decimals: number): bigint;
declare function convertDecimals(number: string | bigint, decimals: number, targetDecimals: number): bigint;
declare function hasDecimalOverflow(fl: number | string, maxDecimal: number): boolean;

declare function getPolkadotApi(ws: string): Promise<ApiPromise>;

export { convertDecimals, formatAssetIdToERC20, getPolkadotApi, hasDecimalOverflow, toBigInt, toDecimal };
